X2Go Bug report logs - #171
x2gobroker-authservice does not create needed user/group

version graph

Package: x2gobroker-authservice; Maintainer for x2gobroker-authservice is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker-authservice is src:x2gobroker.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Wed, 17 Apr 2013 13:03:02 UTC

Severity: normal

Tags: pending

Found in version 0.0.1.0-0~334~precise1

Fixed in version 0.0.1.1

Done: tag@ymir, 0.0.1.1@ymir

Bug is archived. No further changes may be made.

Full log


Message #10 received at 171@bugs.x2go.org (full text, mbox):

Received: (at 171) by bugs.x2go.org; 18 Apr 2013 10:35:29 +0000
From mike.gabriel@das-netzwerkteam.de  Thu Apr 18 12:35:29 2013
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=URIBL_BLOCKED autolearn=ham
	version=3.3.2
Received: from freya.das-netzwerkteam.de (freya.das-netzwerkteam.de [88.198.48.199])
	by ymir (Postfix) with ESMTPS id 3B87A5DB05;
	Thu, 18 Apr 2013 12:35:29 +0200 (CEST)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [78.46.204.98])
	by freya.das-netzwerkteam.de (Postfix) with ESMTPS id 0F6FDC10;
	Thu, 18 Apr 2013 12:35:29 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 002243BA89;
	Thu, 18 Apr 2013 12:35:28 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 9B1lDqSIPTdC; Thu, 18 Apr 2013 12:35:28 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id D1ED93BAE1;
	Thu, 18 Apr 2013 12:35:28 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 9A0673BA89;
	Thu, 18 Apr 2013 12:35:28 +0200 (CEST)
Received: by grimnir.das-netzwerkteam.de (Postfix, from userid 33)
	id 3D8AB3BABD; Thu, 18 Apr 2013 12:35:27 +0200 (CEST)
Received: from 195-134-142-46.pool.kielnet.net
 (195-134-142-46.pool.kielnet.net [46.142.134.195]) by
 mail.das-netzwerkteam.de (Horde Framework) with HTTP; Thu, 18 Apr 2013
 12:35:27 +0200
Message-ID: <20130418123527.110769o6pcoxb4hb@mail.das-netzwerkteam.de>
X-Priority: 3 (Normal)
Date: Thu, 18 Apr 2013 12:35:27 +0200
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>, 171@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#171: x2gobroker-authservice does not create
 needed user/group
References:  <CAFJm-UOobyHH5txHCeBmsEq0ka8SwoD4w-iEnBv-pE7CPF7LMQ@mail.gmail.com>
In-Reply-To:  <CAFJm-UOobyHH5txHCeBmsEq0ka8SwoD4w-iEnBv-pE7CPF7LMQ@mail.gmail.com>
MIME-Version: 1.0
Content-Type: multipart/signed;
 boundary="=_66tizuewngq7";
 protocol="application/pgp-signature";
 micalg="pgp-sha1"
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.4)
[Message part 1 (text/plain, inline)]
tag #171 pending
fixed #171 0.0.1.1
thanks

Hi Anders,

welcome back from holiday!!!

On Mi 17 Apr 2013 14:43:45 CEST Anders Bruun Olsen wrote:

> Package: x2gobroker-authservice
> Version: 0.0.1.0-0~334~precise1
>
> While researching why a newly installed x2gobroker-daemon would not start,
> I found out that x2gobroker-authservice expects there to be a user and a
> group called x2gobroker. It does not create these itself, and thus won't
> start at all if installed without x2gobroker-daemon. Either the
> x2gobroker-authservice packages should create the needed users (if
> neccessary) or it should depend upon x2gobroker-daemon, which will then
> handle it.

The issue should be fixed by this commit:
http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=0318f27362e56d6587c82d63926cfe677eaccffd

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon May 20 20:42:11 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.